Package org.apache.sling.jcr.davex.impl.servlets

# Class AuthHttpContext

java.lang.Object
org.osgi.service.http.context.ServletContextHelper
org.apache.sling.jcr.davex.impl.servlets.AuthHttpContext

public class AuthHttpContext extends org.osgi.service.http.context.ServletContextHelper

## Field Summary

### Fields inherited from class org.osgi.service.http.context.ServletContextHelper

`AUTHENTICATION_TYPE, AUTHORIZATION, REMOTE_USER`

## Constructor Summary

Constructors
Constructor
Description
`AuthHttpContext()`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getResourcePaths(String path)`
Always returns `null` as resources are only accessible through the `SlingDavExServlet`.
`boolean`
`handleSecurity(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
Tries to authenticate the request using the `SlingAuthenticator`.

### Methods inherited from class org.osgi.service.http.context.ServletContextHelper

`finishSecurity, getMimeType, getRealPath, getResource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthHttpContext

public AuthHttpContext()

## Method Details

### getResourcePaths

public Set<String> getResourcePaths(String path)
Always returns `null` as resources are only accessible through the `SlingDavExServlet`.

Overrides:
  `getResourcePaths` in class `org.osgi.service.http.context.ServletContextHelper`

### handleSecurity

public boolean handleSecurity(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws IOException
Tries to authenticate the request using the `SlingAuthenticator`. If the authenticator or the Repository is missing this method returns `false` and sends a 503/SERVICE UNAVAILABLE status back to the client.

Overrides:
  `handleSecurity` in class `org.osgi.service.http.context.ServletContextHelper`
Throws:
  `IOException`